import { Icon } from '@chakra-ui/react'

const Device = () => (
  <path
    d='M7.79887 13.017C6.92401 14.522 6.46214 16.2314 6.45997 17.9722C6.4578 19.7131 6.91541 21.4236 7.78651 22.9308C10.5171 27.6574 16.5927 29.2647 19.9389 27.335C21.3519 26.5195 21.6316 25.1772 21.0003 24.0855C20.3691 22.9937 19.0684 22.5646 17.6553 23.3801C14.3137 25.3098 12.6648 31.373 15.3954 36.103C16.2691 37.6078 17.5226 38.8568 19.0306 39.7249C20.5386 40.5931 22.2481 41.05 23.9882 41.05C25.7282 41.05 27.4377 40.5931 28.9457 39.7249C30.4537 38.8568 31.7072 37.6078 32.581 36.103C35.3116 31.373 33.6626 25.3098 30.321 23.3801C28.908 22.5646 27.6061 22.9937 26.976 24.0855C26.3458 25.1772 26.6244 26.5195 28.0374 27.335C31.3791 29.2647 37.4547 27.6607 40.1853 22.9308C41.0516 21.4215 41.5062 19.7112 41.5037 17.971C41.5013 16.2308 41.0418 14.5218 40.1712 13.015C39.3007 11.5082 38.0496 10.2565 36.5433 9.38518C35.037 8.51384 33.3282 8.05344 31.588 8.05006C26.1257 8.05006 21.7035 12.5093 21.7035 16.3688C21.7035 17.9997 22.7256 18.9129 23.987 18.9129C25.2484 18.9129 26.2706 17.9997 26.2706 16.3688C26.2706 12.5093 21.8439 8.05006 16.3861 8.05006C14.644 8.04782 12.9322 8.50603 11.4242 9.37828C9.91624 10.2505 8.66556 11.5058 7.79887 13.017V13.017Z'
    fill='none'
    stroke='currentColor'
    strokeWidth='2.5'
    strokeMiterlimit='10'
  />
)

const logoDims = {
  height: 8,
  width: 'auto',
}

export const Accord = (props) => {
  return (
    <Icon
      {...{
        ...logoDims,
        viewBox: '0 0 161 48',
        ...props,
      }}
    >
      <Device />
      <path
        d='M60.8016 31.6912L62.3136 37H65.136L57.744 13.0096H55.392L47.9664 37H50.8224L52.3008 31.6912H60.8016ZM60.2304 29.5072H52.872L56.568 16.5712L60.2304 29.5072ZM78.2907 30.6832C78.1563 33.5392 76.6779 35.1184 74.0571 35.1184C71.1003 35.1184 69.8907 33.2032 69.8907 28.5328V21.5104C69.8907 16.8064 71.1003 14.9248 74.0907 14.9248C76.5771 14.9248 77.8875 16.336 78.0891 19.1584L80.5419 19.0576C80.4075 14.9248 78.1563 12.7408 74.0571 12.7408C71.6715 12.7408 69.9579 13.48 68.7819 14.992C67.7067 16.3696 67.2699 18.1504 67.2699 21.4096V28.6336C67.2699 31.5568 67.6395 33.3376 68.4795 34.648C69.6219 36.3952 71.4699 37.3024 74.0235 37.3024C78.2571 37.3024 80.6091 35.0176 80.7435 30.8176L78.2907 30.6832ZM95.764 30.6832C95.6296 33.5392 94.1512 35.1184 91.5304 35.1184C88.5736 35.1184 87.364 33.2032 87.364 28.5328V21.5104C87.364 16.8064 88.5736 14.9248 91.564 14.9248C94.0504 14.9248 95.3608 16.336 95.5624 19.1584L98.0152 19.0576C97.8808 14.9248 95.6296 12.7408 91.5304 12.7408C89.1448 12.7408 87.4312 13.48 86.2552 14.992C85.18 16.3696 84.7432 18.1504 84.7432 21.4096V28.6336C84.7432 31.5568 85.1128 33.3376 85.9528 34.648C87.0952 36.3952 88.9432 37.3024 91.4968 37.3024C95.7304 37.3024 98.0824 35.0176 98.2168 30.8176L95.764 30.6832ZM102.216 29.0368C102.216 31.6912 102.62 33.3712 103.527 34.6816C104.77 36.4624 106.652 37.3024 109.373 37.3024C111.86 37.3024 113.607 36.5968 114.884 35.0512C116.026 33.7072 116.496 31.96 116.496 29.0368V20.9728C116.496 18.2848 116.127 16.6384 115.186 15.328C113.943 13.5472 112.061 12.7072 109.373 12.7072C106.853 12.7072 105.106 13.4128 103.829 14.9584C102.687 16.3024 102.216 18.0496 102.216 20.9728V29.0368ZM113.876 28.768C113.876 33.1696 112.498 35.1184 109.34 35.1184C106.215 35.1184 104.837 33.1696 104.837 28.768V21.2416C104.837 16.84 106.215 14.8912 109.34 14.8912C112.498 14.8912 113.876 16.84 113.876 21.2416V28.768ZM123.931 26.5504H127.896L132.029 37H134.918L130.416 26.248C133.272 25.576 134.582 23.4928 134.582 19.696C134.582 17.4784 134.112 15.8992 133.07 14.7568C131.928 13.5136 130.449 13.0096 127.761 13.0096H121.31V37H123.931V26.5504ZM123.897 24.4V15.1936H127.593C130.617 15.1936 131.961 16.6048 131.961 19.8304C131.961 21.2752 131.625 22.4848 130.953 23.2576C130.248 24.0976 129.374 24.4 127.694 24.4H123.897ZM139.012 37H145.396C150.436 37.1008 152.956 34.3792 152.856 29.0368V20.9728C152.956 15.6304 150.436 12.9088 145.396 13.0096H139.012V37ZM141.633 34.816V15.1936H145.161C148.723 15.1264 150.235 16.9744 150.235 21.3088V28.6672C150.235 33.0352 148.723 34.8832 145.161 34.816H141.633Z'
        fill='currentColor'
      />
    </Icon>
  )
}

export const AccordDevice = (props) => {
  return (
    <Icon
      {...{
        ...logoDims,
        viewBox: '0 0 48 48',
        ...props,
      }}
    >
      <Device />
    </Icon>
  )
}

export default Accord
